<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2014 (x64) (http://www.altova.com) by Group IT (PostNL Groep) -->
<!--org/2001/XMLSchema-->
<!--
Major/Minor versie:    1.0
datum productie			27-08-2018
aanpassing door		NM + Tijl Leenders
doelgroep					Armada project tbv SAP migratie naar Informatica
Een XSD ten behoeve van de interface tussen ECC en Informatica. Specifiek gemaakt tbv. ondersteuning programma uitfaseren SAP. Dit XSD wordt op termijn vervangen door de XSD's voor Commercieel product resp. PTM.

  	
   -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:rpr1="urn:postnl/mail/retailproducts/1" xmlns:co1="urn:postnl/mail/components/1" xmlns:fi1="urn:postnl/mail/fields1" targetNamespace="urn:postnl/mail/retailproducts/1" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="urn:postnl/mail/components/1" schemaLocation="../../Common/OAGI/Components/Components1.xsd"/>
	<xsd:import namespace="urn:postnl/mail/fields1" schemaLocation="../../Common/OAGI/Components/Fields1.xsd"/>
	<xsd:element name="RetailProducts" type="rpr1:RetailProductsType">
		<xsd:annotation>
			<xsd:documentation>Een of meerdere Retailproducten conform de definitie van het masterdatasysteem (Informatica). Nog gebaseerd op de oude (SAP ECC) productdefinitie; is anders dan het nieuwe productmodel/ PTM.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="RetailProductsType">
		<xsd:complexContent>
			<xsd:extension base="co1:StatusEnabledHeaderType">
				<xsd:sequence>
					<xsd:element ref="rpr1:RetailProduct" maxOccurs="unbounded">
						<xsd:annotation>
							<xsd:documentation>Het retailProduct zoals deze is gedefinieerd in het masterdata systeem.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:element name="RetailProduct" type="rpr1:RetailProductType"/>
	<xsd:complexType name="RetailProductType">
		<xsd:sequence>
			<xsd:element ref="fi1:RetailProductCode" minOccurs="0"/>
			<xsd:element name="RetailProductStatus" type="co1:StatusType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>The status of the retail product.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element ref="fi1:RetailProductName" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:RetailProductDescription" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:DatePeriod" minOccurs="0"/>
			<xsd:element ref="rpr1:RetailProductRelationships" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="rpr1:ProductCategory" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>De kenmerk groepen waarmee het product een relatie heeft.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="RetailProductRelationships" type="rpr1:RetailProductRelationshipsType">
		<xsd:annotation>
			<xsd:documentation>De relaties die het retailproduct heeft met andere producten.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="RetailProductRelationshipsType">
		<xsd:annotation>
			<xsd:documentation>The relations between the retailproduct and other retail products.</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element ref="fi1:RetailProductCode" minOccurs="0"/>
			<xsd:element ref="fi1:RetailProductRelationshipType" minOccurs="0"/>
			<xsd:element ref="co1:DatePeriod" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="RetailProductCharacteristics" type="rpr1:RetailProductCharacteristicsType">
		<xsd:annotation>
			<xsd:documentation>Characteristics of the retail product.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="RetailProductCharacteristicsType">
		<xsd:sequence>
			<xsd:element ref="rpr1:CharacteristicName" minOccurs="0"/>
			<xsd:element ref="rpr1:CharacteristicValue" minOccurs="0"/>
			<xsd:element ref="co1:DatePeriod" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="ProductCategory" type="rpr1:ProductCategoryType"/>
	<xsd:complexType name="ProductCategoryType">
		<xsd:sequence>
			<xsd:element ref="fi1:ProductCategoryCode" minOccurs="0"/>
			<xsd:element ref="fi1:ProductCategoryName" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="rpr1:RetailProductCharacteristics" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="co1:DatePeriod" minOccurs="0"/>
			<xsd:element ref="fi1:Description" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="CharacteristicName" type="rpr1:CharacteristicNameType"/>
	<xsd:complexType name="CharacteristicNameType">
		<xsd:sequence>
			<xsd:element ref="fi1:CharacteristicName" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:Code" minOccurs="0"/>
			<xsd:element ref="fi1:Description" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
	<xsd:element name="CharacteristicValue" type="rpr1:CharacteristicValueType"/>
	<xsd:complexType name="CharacteristicValueType">
		<xsd:sequence>
			<xsd:element ref="fi1:CharacteristicValue" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="fi1:Code" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
</xsd:schema>
